Bug Hunting Session
Bug 45916 - important bugs from ooo-devel
Summary: important bugs from ooo-devel
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on: 45919 45925
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-10 15:19 UTC by Markus Mohrhard
Modified: 2015-04-03 21:10 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Markus Mohrhard 2012-02-10 15:26:47 UTC
I already looked into https://issues.apache.org/ooo/show_bug.cgi?id=118863

The description is wrong. The bug does not hang calc but we need to consider changing the paste behavior if we have a merged cell and the selected paaste area isa whole column.

Since we right now paste the copied area as often as possible into the selected area we create some thousand merged cells. This is the problem behind this bug report.
Comment 2 Markus Mohrhard 2012-02-10 15:31:14 UTC
https://issues.apache.org/ooo/show_bug.cgi?id=118755 is not valid for us, works in master
Comment 3 Rainer Bielefeld Retired 2012-02-10 23:53:48 UTC
I did some research concerning  <https://issues.apache.org/ooo/show_bug.cgi?id=118882>, for results please see "Bug 45919 - UI: document access lost", LibO suffers from that bug.

I will check the other AOOo bugs during weekend.
Comment 4 Rainer Bielefeld Retired 2012-02-11 03:19:13 UTC
I do not understand how to reproduce <https://issues.apache.org/ooo/show_bug.cgi?id=118752>
Comment 5 Rainer Bielefeld Retired 2012-02-11 03:52:22 UTC
<https://issues.apache.org/ooo/show_bug.cgi?id=118863> is reproducible, see "Bug 45925 - EDITING: HANG when copy - paste cells including merged ones to column"!
Comment 6 Kohei Yoshida 2012-02-13 09:29:59 UTC
I'm "confirming" this bug.
Comment 8 Kohei Yoshida 2012-02-13 09:41:12 UTC
I've posted a proposed patch for i118851 on the mailing list, pending review.
Comment 9 Markus Mohrhard 2012-02-13 15:20:36 UTC
https://issues.apache.org/ooo/show_bug.cgi?id=118863
https://issues.apache.org/ooo/show_bug.cgi?id=118752

are no real bugs. We should discuss if we want to keep the current behavior of pasting the same area to the whole column if we contain merged cells.
Do we really want some hundred thousand merged cells?
Comment 10 Markus Mohrhard 2012-07-13 06:38:41 UTC
https://issues.apache.org/ooo/show_bug.cgi?id=118877

is fixed now with a cleaner approach than the aoo patch. I did not like the manual manipulation of ref counts.
Comment 11 tommy27 2014-12-13 10:07:04 UTC
hi guys, according to the previous comments it seems that only this one is left:
https://issues.apache.org/ooo/show_bug.cgi?id=118882

is the fix from(In reply to Kohei Yoshida (inactive) from comment #8)
> I've posted a proposed patch for i118851 on the mailing list, pending review.

just for the record, was it approved?